module.exports = {
  root: true,
  env: {
    node: true,
    browser: true,
  },
  globals: {
    BMap: true,
    T: true,
    qq: true,
  },
  extends: [
    'plugin:vue/vue3-essential',
    'plugin:vue/recommended',
    'eslint:recommended',
    '@vue/prettier',
  ],
  parserOptions: {
    parser: 'babel-eslint',
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-unused-vars': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'prefer-const': [
      'error',
      {
        destructuring: 'all',
      },
    ],
    'prettier/prettier': 'error',
    'vue/no-multiple-template-root': 'off',
    'vue/attribute-hyphenation': 'off',
    'no-dupe-keys': 'off',
    'vue/no-v-html': 'off',
  },
};
